apiVersion: apps/v1
kind: Deployment
metadata:
  name: internal-svale-ui-deployment
  namespace: internal-svale-ui
spec:
  selector:
    matchLabels:
      app: internal-svale-ui-app
  replicas: 1
  template:
    metadata:
      labels:
        app: internal-svale-ui-app
    spec:
      containers:
        - name: internal-svale-ui-app
          image: registry.gitlab.com/datahjelpen/public/libraries/svale-ui
          imagePullPolicy: Always
          ports:
            - containerPort: 80
          resources:
            requests:
              cpu: "1m"
              memory: "10Mi"
            limits:
              cpu: "3000m"
              memory: "20Mi"
      imagePullSecrets:
        - name: gitlab-container-registry
